Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## chrriis.dj.nativeswing.swtimpl.components
Enum JHTMLEditor.HTMLEditorImplementation

    java.lang.Object
      java.lang.Enum<JHTMLEditor.HTMLEditorImplementation>
          chrriis.dj.nativeswing.swtimpl.components.JHTMLEditor.HTMLEditorImplementation

All Implemented Interfaces:
  Serializable, Comparable<JHTMLEditor.HTMLEditorImplementation>

Enclosing class:
  JHTMLEditor

    public static enum JHTMLEditor.HTMLEditorImplementation

extends Enum<JHTMLEditor.HTMLEditorImplementation>

Enum Constant Summary
`FCKEditor`
`TinyMCE`

Method Summary
`static JHTMLEditor.HTMLEditorImplementation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JHTMLEditor.HTMLEditorImplementation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FCKEditor

    public static final JHTMLEditor.HTMLEditorImplementation FCKEditor

### TinyMCE

    public static final JHTMLEditor.HTMLEditorImplementation TinyMCE

Method Detail

### values

    public static JHTMLEditor.HTMLEditorImplementation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JHTMLEditor.HTMLEditorImplementation c : JHTMLEditor.HTMLEditorImplementation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JHTMLEditor.HTMLEditorImplementation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD